Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMSelect

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMSelect

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, PlotOptions.Series.Marker.States.Select

Enclosing class:
  JSMPlotOptions.JSMSeries.JSMMarker.JSMStates

    public static class JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMSelect

extends JSMBaseObject
implements PlotOptions.Series.Marker.States.Select

Field Summary
`java.lang.String` | `fillColor`
`java.lang.String` | `lineColor`
`int` | `lineWidth`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMSelect()`

Method Summary
`java.lang.String` | `getFillColor()`
`java.lang.String` | `getLineColor()`
`int` | `getLineWidth()`
`PlotOptions.Series.Marker.States.Select` | `setFillColor(java.lang.String fillColor)`
`PlotOptions.Series.Marker.States.Select` | `setLineColor(java.lang.String lineColor)`
`PlotOptions.Series.Marker.States.Select` | `setLineWidth(int lineWidth)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fillColor

    public java.lang.String fillColor

### lineColor

    public java.lang.String lineColor

### lineWidth

    public int lineWidth

Constructor Detail

### JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMSelect

    public JSMPlotOptions.JSMSeries.JSMMarker.JSMStates.JSMSelect()

Method Detail

### setFillColor

    public PlotOptions.Series.Marker.States.Select setFillColor(java.lang.String fillColor)

  Specified by:
    `setFillColor` in interface `PlotOptions.Series.Marker.States.Select`

### setLineWidth

    public PlotOptions.Series.Marker.States.Select setLineWidth(int lineWidth)

  Specified by:
    `setLineWidth` in interface `PlotOptions.Series.Marker.States.Select`

### setLineColor

    public PlotOptions.Series.Marker.States.Select setLineColor(java.lang.String lineColor)

  Specified by:
    `setLineColor` in interface `PlotOptions.Series.Marker.States.Select`

### getFillColor

    public java.lang.String getFillColor()

  Specified by:
    `getFillColor` in interface `PlotOptions.Series.Marker.States.Select`

### getLineColor

    public java.lang.String getLineColor()

  Specified by:
    `getLineColor` in interface `PlotOptions.Series.Marker.States.Select`

### getLineWidth

    public int getLineWidth()

  Specified by:
    `getLineWidth` in interface `PlotOptions.Series.Marker.States.Select`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD